Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Interface NodeContainer

All Superinterfaces:
  NodeChangeListener, XACMLTreeNode

All Known Subinterfaces:
  PolicyElementContainer

All Known Implementing Classes:
  AbstractNodeContainer, AbstractPolicyNode, PolicyElementNode, RootNode

public interface NodeContainer
extends NodeChangeListener, XACMLTreeNode

Method Summary
`XACMLTreeNode` | `getChild(int index)` Gets the child at the specified index.
`int` | `getChildCount()` Gets the number of children of this element.
`int` | `indexOfChild(java.lang.Object child)` Gets the index of a particular child.

Methods inherited from interface org.exist.client.xacml.NodeChangeListener
`nodeAdded, nodeChanged, nodeRemoved`

Methods inherited from interface org.exist.client.xacml.XACMLTreeNode
`commit, getParent, isModified, revert, serialize, setModified`

Method Detail

### getChildCount

    public int getChildCount()

  Gets the number of children of this element. Children should include the target of this element, the condition of a rule, child policies or policy sets of a policy set, or child rules of a policy.

  Returns:
    the number of children

### getChild

    public XACMLTreeNode getChild(int index)

  Gets the child at the specified index. Children may include the target of this element, the condition of a rule, child policies or policy sets of a policy set, or child rules of a policy.

  Parameters:
    `index` - The child's position
  Returns:
    the child

### indexOfChild

    public int indexOfChild(java.lang.Object child)

  Gets the index of a particular child. This operates on reference equality, not equals.

  Parameters:
    `child` - The child to obtain the index of
  Returns:
    The child's index, or -1 if it is not a child of this policy element

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.